package com.company;

import java.util.Scanner;

public class Main {

    public static void main(String[] args) {
        Scanner szoo = new Scanner(System.in);
        double V = szoo.nextInt();
        System.out.println(V);
        int k = 0;
        int i = 18;

        while(V>0)
        {
            if(V < Math.pow(10, i))
            {
                while(V < Math.pow(10, i))
                {
                    i--;
                }
            }
            if(V >= 5*Math.pow(10, i))
            {
                while((V >= 5*Math.pow(10, i)))
                {
                    k++;
                    V = V - 5*Math.pow(10, i);
                }
            }
            else
            if(V >= 2*Math.pow(10, i))
            {
                while((V >= 2*Math.pow(10, i)))
                {
                    k++;
                    V = V - 2*Math.pow(10, i);
                }
            }
            else
            if(V >= 1*Math.pow(10, i))
            {
                while((V >= 1*Math.pow(10, i)))
                {
                    k++;
                    V = V - 1*Math.pow(10, i);
                }
            }
        }
        System.out.println(k);
    }
}